Texa Desk Application API · Conversations
Toggle Status
POST/
Toggle the status of a conversation. Pass status to explicitly set the
conversation state. Use snoozed along with snoozed_until to snooze a
conversation until a specific time. If snoozed_until is omitted, the
conversation is snoozed until the next reply from the contact. Regardless
of the value provided, snoozed conversations always reopen on the next
reply from the contact.
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
conversation_idintegerrequiredThe numeric ID of the conversation
Body application/json
statusstringrequiredThe status of the conversation One of: open, resolved, pending, snoozed.
snoozed_untilnumberWhen status is snoozed, schedule the reopen time as a Unix timestamp in seconds. If not provided, the conversation is snoozed until the next customer reply. The conversation always reopens when the customer replies.
Responses
200Success
metaobjectpayloadobjectpayload.successbooleanpayload.current_statusstringOne of: open, resolved, pending, snoozed.
payload.conversation_idnumber404Conversation not found
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring401Unauthorized
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring